import { Component, OnInit } from '@angular/core';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { SharedModule } from '@shared/shared.module';

import { DemoComponent } from './demo/demo.component';
import { ExcelComponent } from './excel/excel.component';
import { QueryComponent } from './query/query.component';
import { PipeModule } from '@business/pipe/pipe.module';
import { NzTreeModule } from 'ng-tree-antd';
import { NgxEchartsModule } from 'ngx-echarts';
import { SensorsService } from '@business/services/http/sensors.service';
import { NzMessageService } from 'ng-zorro-antd';
import { AreacodeService } from '@business/services/http/areacode.service';
import { MonitorPointService } from '@business/services/http/monitor-point.service';
import { DeviceService } from '@business/services/http/device.service';
import { DateService } from '@business/services/util/date.service';

const routes: Routes = [
  {
    path: '',
    children: [
      { path: 'query', component: QueryComponent },
      { path: 'demo', component: DemoComponent },
      { path: 'excel', component: ExcelComponent },
    
    ]
  }
];

const COMPONENTS_NOROUNT = [  ];

@NgModule({
  imports: [
    // 管道模块必须当前模块导入
    PipeModule,
    NzTreeModule,
    NgxEchartsModule,
    CommonModule,
    SharedModule,
    RouterModule.forChild(routes)
  ],
  declarations: [
    ...COMPONENTS_NOROUNT,
    DemoComponent,
    ExcelComponent,
    QueryComponent
  ],
  providers: [SensorsService, NzMessageService, AreacodeService,
     MonitorPointService, DeviceService, DateService],
  entryComponents: COMPONENTS_NOROUNT
})
export class ReportsModule { }
